Last Comment Bug 174437 - Priority levels in Filter search popup should be ordered Highest to Lowest
: Priority levels in Filter search popup should be ordered Highest to Lowest
Status: VERIFIED FIXED
:
Product: MailNews Core
Classification: Components
Component: Filters (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: Thunderbird 24.0
Assigned To: Suyash Agarwal (:sshagarwal)
:
Mentors:
: 174438 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-14 15:05 PDT by laurel
Modified: 2014-06-08 06:29 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (4.79 KB, patch)
2013-05-10 16:29 PDT, Suyash Agarwal (:sshagarwal)
mconley: review+
neil: review+
bwinton: ui‑review+
acelists: feedback+
jh: feedback+
Details | Diff | Splinter Review

Description laurel 2002-10-14 15:05:09 PDT
carried over from bug 130385
Using oct14 commercial trunk, Mac OS 10.1, linux rh6.2

Mac and Linux both show a default selection of normal in the Filter UI's action
dropdown -- "Change the priority to".  

As stated in bug 130385, the default on all platforms should be Highest. Win98
does indeed already default so.

Steps:
1.  Open filter ui -- Tools|Message Filters, click New to get to rules dialog.
2.  Switch the filter action dropdown  (at bottom left of dialog)  to "Change
the priority to"

Result:  Mac & Linux have default selection of "Normal", whereas win98 does what
is intended and defaults to "Highest"
Comment 1 laurel 2002-10-14 15:07:04 PDT
*** Bug 174438 has been marked as a duplicate of this bug. ***
Comment 2 Mike Fedyk 2003-01-22 14:53:32 PST
I don't think this is a problem anymore.  On Linux, it goes highest, high,
normal, low, lowest, in that order.  With a check mark next to "normal".  All
you have to do is click on "highest" and you're done.  Highest is at the top, so
what's the problem?  I'm assuming that highest was not at the top some time in
the past...
Comment 3 Serge Gautherie (:sgautherie) 2007-01-10 08:45:30 PST
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9a2pre) Gecko/20070109 SeaMonkey/1.5a] (nightly) (W2Ksp4)

The list currently goes from Lowest "down" to Highest;
and "Lowest" is the default.

a) The order should be reversed, to be in sync with the list in the Compose window.

b) If possible, I agree the default selection should be Normal (or "None" ?).
Comment 4 Serge Gautherie (:sgautherie) 2008-10-11 07:33:02 PDT
(In reply to comment #3)

[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.1b2pre) Gecko/20081011 Shredder/3.0b1pre] (nightly) (W2Ksp4)
[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.1b2pre) Gecko/20081011 SeaMonkey/2.0a2pre] (nightly) (W2Ksp4)

> a) The order should be reversed, to be in sync with the list in the Compose
> window.

List now goes down from Highest to Lowest :-)

> b) If possible, I agree the default selection should be Normal (or "None" ?).

Highest is (still) the default. This part remains.
Comment 5 :aceman 2013-05-09 01:07:16 PDT
In the filter search terms (in contrast to actions) the priority list is still Lowest to Highest so that can be fixed.

But Serge, why do you think Normal should be the default? I think the discussions were to make Highest the default. Also all other dropdowns have the first item as the default.

I propose to remove the "const nsMsgPriorityValue Default = 4;" in mailnews/base/public/MailNewsTypes2.idl as it is not used anywhere. Seems the functionality from https://bug130385.bugzilla.mozilla.org/attachment.cgi?id=99182 was removed, maybe in the filter editor redesign.
Comment 6 :aceman 2013-05-10 14:00:46 PDT
So what I propose can be done by reordering tags at http://hg.mozilla.org/comm-central/file/16f11f7df3c5/mail/base/content/mailWidgets.xml#l1730 and also the /suite version of that file.
Comment 7 Suyash Agarwal (:sshagarwal) 2013-05-10 16:29:53 PDT
Created attachment 748311 [details] [diff] [review]
Patch

Sir,

I have tried to make the changes as mentioned in the comments.
Comment 8 :aceman 2013-05-10 16:39:31 PDT
Comment on attachment 748311 [details] [diff] [review]
Patch

We found that nsMsgPriority::Default is actually used so the patch does not contain its removal, in contrast to my comment earlier.

Other than that the patch does what I proposed. Tested on Thunderbird.
Comment 9 Jens Hatlak (:InvisibleSmiley) 2013-05-11 08:09:55 PDT
Comment on attachment 748311 [details] [diff] [review]
Patch

I didn't actually test this (got caught by bug 869490) but it's certainly the right thing to align the order with the filter actions one.
Comment 10 Blake Winton (:bwinton) (:☕️) 2013-05-12 19:07:01 PDT
Comment on attachment 748311 [details] [diff] [review]
Patch

Looks good to me!  ui-r=bwinton  :)

Thanks,
Blake.
Comment 11 :aceman 2013-05-14 07:20:22 PDT
I'd really like to hear from Serge.
Comment 12 Mike Conley (:mconley) - (Needinfo me!) 2013-05-25 15:16:59 PDT
The summary of this bug doesn't really reflect what it's become about. Updating for that.
Comment 13 Mike Conley (:mconley) - (Needinfo me!) 2013-05-25 15:17:34 PDT
Comment on attachment 748311 [details] [diff] [review]
Patch

Looks good to me. Thanks!
Comment 14 :aceman 2013-05-25 15:43:19 PDT
Does this need any other review for Seamonkey UI part?
Comment 15 Ryan VanderMeulen [:RyanVM] 2013-05-28 10:18:21 PDT
https://hg.mozilla.org/comm-central/rev/b072cd0b99c6
Comment 16 Serge Gautherie (:sgautherie) 2014-06-08 06:27:15 PDT
(In reply to :aceman from comment #11)
> I'd really like to hear from Serge.

(Sorry for the very long delay.)


(In reply to :aceman from comment #5)
> But Serge, why do you think Normal should be the default? I think the
> discussions were to make Highest the default. Also all other dropdowns have
> the first item as the default.

Yes, comment 0 wanted "Highest" to be the default.
I thought that "(notSet / none / ) normal" might be more "neutral".
Yet, I won't argue further at this point.


[Mozilla/5.0 (Windows NT 6.0; rv:29.0) Gecko/20100101 Firefox/29.0 SeaMonkey/2.26]

V.Fixed. (I checked both "condition" and "action" dropdowns.)

Note You need to log in before you can comment on or make changes to this bug.